// This file was generated by SquareLine Studio
// SquareLine Studio version: SquareLine Studio 1.4.0
// LVGL version: 8.3.6
// Project name: Cardv

#include "ui.h"
#include "ui_helpers.h"

///////////////////// VARIABLES ////////////////////


// SCREEN: ui_MainScreen
void ui_MainScreen_screen_init(void);
void ui_event_MainScreen(lv_event_t * e);
lv_obj_t * ui_MainScreen;
lv_obj_t * ui_CapLabel;
lv_obj_t * ui_WifiLabel;
lv_obj_t * ui_AudioLabel;
lv_obj_t * ui_SDCaedLabel;
lv_obj_t * ui_BatteryLabel;
lv_obj_t * ui_RecPointLabel;
lv_obj_t * ui_RecTxtLabel;
lv_obj_t * ui_TimeLabel;
lv_obj_t * ui_WeekLabel;
lv_obj_t * ui_DataTimeLabel;
lv_obj_t * ui_HomeButtonPanel;
void ui_event_CaptureButton(lv_event_t * e);
lv_obj_t * ui_CaptureButton;
void ui_event_RecordButton(lv_event_t * e);
lv_obj_t * ui_RecordButton;
void ui_event_PlaybackButton(lv_event_t * e);
lv_obj_t * ui_PlaybackButton;
void ui_event_SettingsButton(lv_event_t * e);
lv_obj_t * ui_SettingsButton;
lv_obj_t * ui_FormatConfirm;
lv_obj_t * ui_FormatTitleView;
lv_obj_t * ui_FormatViewBar;
lv_obj_t * ui_FormatConfirmText1;
lv_obj_t * ui_FormatConfirmText2;
void ui_event_FormatConfirmNOButton(lv_event_t * e);
lv_obj_t * ui_FormatConfirmNOButton;
lv_obj_t * ui_FormatConfirmNOLabel;
void ui_event_FormatConfirmYesButton(lv_event_t * e);
lv_obj_t * ui_FormatConfirmYesButton;
lv_obj_t * ui_FormatConfirmYesLabel;


// SCREEN: ui_MenuScreen
void ui_MenuScreen_screen_init(void);
void ui_event_MenuScreen(lv_event_t * e);
lv_obj_t * ui_MenuScreen;
lv_obj_t * ui_MainListPanel;
lv_obj_t * ui_MainListBtn;
lv_obj_t * ui_MainListBtnIcon;
lv_obj_t * ui_MainListBtnLabel;
lv_obj_t * ui_MainListBtnLabelSub;
lv_obj_t * ui_MainListBtnIconSub;
lv_obj_t * ui_SubListPanel;
lv_obj_t * ui_SubListButton;
lv_obj_t * ui_SubListButtonIcon;
lv_obj_t * ui_SubListButtonIconSub;
lv_obj_t * ui_SubListButtonLabel;
lv_obj_t * ui_SubMenuConfirmPanel;
lv_obj_t * ui_TitleTextLabel;
lv_obj_t * ui_ViewBarLabel;
lv_obj_t * ui_SubMenuConfirmTextLabel;
lv_obj_t * ui_SubMenuConfirmTextLabel2;
void ui_event_MenuConfirmNoButton(lv_event_t * e);
lv_obj_t * ui_MenuConfirmNoButton;
lv_obj_t * ui_MenuConfirmNoLabel;
void ui_event_MenuConfirmYesButton(lv_event_t * e);
lv_obj_t * ui_MenuConfirmYesButton;
lv_obj_t * ui_MenuConfirmYesLabel;


// SCREEN: ui_PlaybackScreen
void ui_PlaybackScreen_screen_init(void);
void ui_event_PlaybackScreen(lv_event_t * e);
lv_obj_t * ui_PlaybackScreen;
lv_obj_t * ui_PlayBackFileListPanel;
lv_obj_t * ui_FileListPanel;
void ui_event_BackButton(lv_event_t * e);
lv_obj_t * ui_BackButton;
lv_obj_t * ui_BackButtonLabel;
void ui_event_DeleteButton(lv_event_t * e);
lv_obj_t * ui_DeleteButton;
lv_obj_t * ui_DeleteButtonLabel;
lv_obj_t * ui_CurFileLabel;
lv_obj_t * ui_PlayBackPanel;
lv_obj_t * ui_DateTimeLabel;
lv_obj_t * ui_PlayButton;
lv_obj_t * ui_NextButton;
lv_obj_t * ui_LastButton;
lv_obj_t * ui_CurPlayTime;
lv_obj_t * ui_PlayBackButton;
lv_obj_t * ui____initial_actions0;
const lv_img_dsc_t * ui_imgset_[10] = {&ui_img_num_0_png, &ui_img_num_1_png, &ui_img_num_2_png, &ui_img_num_3_png, &ui_img_num_4_png, &ui_img_num_5_png, &ui_img_num_6_png, &ui_img_num_7_png, &ui_img_num_8_png, &ui_img_num_9_png};
const lv_img_dsc_t * ui_imgset_wifi_signal_[6] = {&ui_img_wifi_wifi_signal_0_png, &ui_img_wifi_wifi_signal_1_png, &ui_img_wifi_wifi_signal_2_png, &ui_img_wifi_wifi_signal_3_png, &ui_img_wifi_wifi_signal_4_png, &ui_img_wifi_wifi_signal_5_png};
const lv_img_dsc_t * ui_imgset_general_set_x[1] = {&ui_img_general_set_75x75_png};
const lv_img_dsc_t * ui_imgset_icon_battery_[1] = {&ui_img_icon_battery_000_png};
const lv_img_dsc_t * ui_imgset_icon_gps_[1] = {&ui_img_icon_gps_000_png};
const lv_img_dsc_t * ui_imgset_icon_gps_level_[5] = {&ui_img_icon_gps_level_000_png, &ui_img_icon_gps_level_001_png, &ui_img_icon_gps_level_002_png, &ui_img_icon_gps_level_003_png, &ui_img_icon_gps_level_004_png};
const lv_img_dsc_t * ui_imgset_icon_gsensor_l[3] = {&ui_img_icon_gsensor_l1_png, &ui_img_icon_gsensor_l2_png, &ui_img_icon_gsensor_l3_png};
const lv_img_dsc_t * ui_imgset_icon_gsensor_level_[1] = {&ui_img_icon_gsensor_level_000_png};
const lv_img_dsc_t * ui_imgset_icon_mute_[1] = {&ui_img_icon_mute_000_png};
const lv_img_dsc_t * ui_imgset_icon_parkmode_p_[1] = {&ui_img_icon_parkmode_p_000_png};
const lv_img_dsc_t * ui_imgset_icon_parkmode_t_[1] = {&ui_img_icon_parkmode_t_000_png};
const lv_img_dsc_t * ui_imgset_icon_park_[1] = {&ui_img_icon_park_000_png};
const lv_img_dsc_t * ui_imgset_icon_recording_[1] = {&ui_img_icon_recording_000_png};
const lv_img_dsc_t * ui_imgset_icon_sd_[1] = {&ui_img_icon_sd_000_png};
const lv_img_dsc_t * ui_imgset_icon_sd_no_[1] = {&ui_img_icon_sd_no_000_png};
const lv_img_dsc_t * ui_imgset_icon_sd_yes_[1] = {&ui_img_icon_sd_yes_000_png};
const lv_img_dsc_t * ui_imgset_icon_wdr_[1] = {&ui_img_icon_wdr_000_png};
const lv_img_dsc_t * ui_imgset_icon_wifi_connected_[1] = {&ui_img_icon_wifi_connected_000_png};
const lv_img_dsc_t * ui_imgset_photo_x[1] = {&ui_img_photo_75x75_png};
const lv_img_dsc_t * ui_imgset_video_x[1] = {&ui_img_video_75x75_png};
const lv_img_dsc_t * ui_imgset_video_playback_x[1] = {&ui_img_video_playback_75x75_png};
const lv_img_dsc_t * ui_imgset_video_res_x[1] = {&ui_img_video_res_75x75_png};

///////////////////// TEST LVGL SETTINGS ////////////////////
#if LV_COLOR_DEPTH != 32
    #error "LV_COLOR_DEPTH should be 32bit to match SquareLine Studio's settings"
#endif
#if LV_COLOR_16_SWAP !=0
    #error "LV_COLOR_16_SWAP should be 0 to match SquareLine Studio's settings"
#endif

///////////////////// ANIMATIONS ////////////////////

///////////////////// FUNCTIONS ////////////////////
void ui_event_MainScreen(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_SCREEN_LOAD_START) {
        SysMainScreenInit(e);
    }
    if(event_code == LV_EVENT_SCREEN_LOADED) {
        SysMainScreenShow(e);
    }
    if(event_code == LV_EVENT_SCREEN_UNLOAD_START) {
        SysMainScreenHide(e);
    }
}
void ui_event_CaptureButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysCaptureButton(e);
    }
}
void ui_event_RecordButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysRecordButtonEvent(e);
    }
}
void ui_event_PlaybackButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysPlaybackButtonEvent(e);
    }
}
void ui_event_SettingsButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysSettingsButtonEvent(e);
    }
}
void ui_event_FormatConfirmNOButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysFormatConfirmNOButtonEvent(e);
    }
}
void ui_event_FormatConfirmYesButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysFormatConfirmYesButtonEvent(e);
    }
}
void ui_event_MenuScreen(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_SCREEN_LOAD_START) {
        SysMenuScreenInit(e);
    }
    if(event_code == LV_EVENT_SCREEN_LOADED) {
        SysMenuScreenShow(e);
    }
    if(event_code == LV_EVENT_SCREEN_UNLOAD_START) {
        SysMenuScreenHide(e);
    }
}
void ui_event_MenuConfirmNoButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysConfirmNoButtonEvent(e);
    }
}
void ui_event_MenuConfirmYesButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysConfirmYesButtonEvent(e);
    }
}
void ui_event_PlaybackScreen(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_SCREEN_LOAD_START) {
        SysPlaybackScreenInit(e);
    }
    if(event_code == LV_EVENT_SCREEN_LOADED) {
        SysPlaybackScreenShow(e);
    }
    if(event_code == LV_EVENT_SCREEN_UNLOAD_START) {
        SysPlaybackScreenHide(e);
    }
}
void ui_event_BackButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysBackButtonEvent(e);
    }
}
void ui_event_DeleteButton(lv_event_t * e)
{
    lv_event_code_t event_code = lv_event_get_code(e);
    lv_obj_t * target = lv_event_get_target(e);
    if(event_code == LV_EVENT_RELEASED) {
        SysDeleteButtonEvent(e);
    }
}

///////////////////// SCREENS ////////////////////

void ui_init(void)
{
    lv_disp_t * dispp = lv_disp_get_default();
    lv_theme_t * theme = lv_theme_default_init(dispp, lv_palette_main(LV_PALETTE_BLUE), lv_palette_main(LV_PALETTE_RED),
                                               false, LV_FONT_DEFAULT);
    lv_disp_set_theme(dispp, theme);
    ui_MainScreen_screen_init();
    ui_MenuScreen_screen_init();
    ui_PlaybackScreen_screen_init();
    ui____initial_actions0 = lv_obj_create(NULL);
    lv_disp_load_scr(ui_MainScreen);
}
